Subject: my-persist-probe

From: "Prakash Khemani" <[email-masked]>
Date: Mon, 25 Aug 2003 17:43:05 +0530

Say to simplify my TCP stack implementation I want to modify the
persist-probe structure in the following way

My stack will generate a persist probe that will not carry one new byte
of data. Instead the persist probe will look more like the keep-alive
probe. My stack will generate a persist probe that will be a pure-ack
packet (packet w/o data) with sequence number equal to (SND.UNA - 1). I
am hoping that the stack that receives my-persist-probe will treat it as
a keep-alive probe and will always ACK it with the current window value.

I have tested my-persist-probe against Linux, FreeBSD 4.x, Solaris 2.8,
Win98, WinNT and Win 2000. All these systems treat my-persist-probe as
the keep-alive probe and properly ACK it with the current window.

So - is there a corner case where the receiving system might not ACK
my-persist-probe? Is this approach OK even though it violates the
standards? Why do the standards suggest that the persist probe should
carry one byte of data?

-- prakash